radius_put_attr
radius_put_string
Fonctions Radius
PHP Manual

# radius_put_int

(PECL radius >= 1.1.0)

radius_put_int — Attache un attribut entier

### Description

bool radius_put_int ( resource `$radius_handle` , int `$type` , int `$value` [, int `$options` = 0 [, int `$tag` ]] )

Attache un attribut entier à la requête RADIUS courante.

> Note:

> Une requête doit être créée via la fonction radius_create_request() avant que cette fonction puisse être appelée.

### Liste de paramètres

`radius_handle`

  La ressource RADIUS.

`type`

  Le type d'attribut.

`value`

  La valeur de l'attribut.

`options`

  Un masqe d'options d'attribut. Les options disponibles incluent `RADIUS_OPTION_TAGGED` et `RADIUS_OPTION_SALT`.

`tag`

  L'attribut tag. Ce paramètre est ignoré tant que l'option `RADIUS_OPTION_TAGGED` est défini.

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès ou `FALSE` si une erreur survient.

### Historique

Version | Description
--- | ---
PECL radius 1.3.0 | Les paramètres `options` et `tag` ont été ajoutés.

### Exemples

Exemple #1 Exemple avec radius_put_int()

`<?php
if (!radius_put_int($res, RAD_FRAMED_PROTOCOL, RAD_PPP)) {
echo 'Erreur Radius :' . radius_strerror($res). "\n<br />";
exit;
}
?>`

### Voir aussi

- radius_put_string() - Attache un attribut chaîne de caractères
- radius_put_vendor_int() - Attache un attribut entier à un vendeur spécifique
- radius_put_vendor_string() - Attache un attribut sous la forme d'une chaîne à un vendeur spécifique

radius_put_attr
radius_put_string
Fonctions Radius
PHP Manual